Closed Bug 1437672 Opened 4 years ago Closed 4 years ago

Android Intermittent dom/media/tests/crashtests/799419.html | application crashed [@ mozilla::MediaStreamGraphImpl::UpdateGraph]

Categories

(Core :: Audio/Video: MediaStreamGraph, defect, P5)

60 Branch
defect

Tracking

()

RESOLVED INCOMPLETE

People

(Reporter: intermittent-bug-filer, Unassigned)

Details

(Keywords: crash, intermittent-failure, Whiteboard: [stockwell unknown])

Crash Data

Attachments

(1 file)

Filed by: apavel [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=161766511&repo=autoland

https://queue.taskcluster.net/v1/task/LL1lCw_qStuNxjdxHKBIXQ/runs/0/artifacts/public/logs/live_backing.log

https://hg.mozilla.org/mozilla-central/raw-file/tip/layout/tools/reftest/reftest-analyzer.xhtml#logurl=https://queue.taskcluster.net/v1/task/LL1lCw_qStuNxjdxHKBIXQ/runs/0/artifacts/public/logs/live_backing.log&only_show_unexpected=1

[task 2018-02-12T19:45:50.053Z] 19:45:50     INFO -  REFTEST TEST-START | http://10.0.2.2:8888/tests/dom/media/tests/crashtests/799419.html
[task 2018-02-12T19:45:50.054Z] 19:45:50     INFO -  REFTEST INFO | RESTORE PREFERENCE pref(media.navigator.permission.disabled,false)
[task 2018-02-12T19:45:50.055Z] 19:45:50     INFO -  REFTEST INFO | SET PREFERENCE pref(media.navigator.permission.disabled,true)
[task 2018-02-12T19:45:50.055Z] 19:45:50     INFO -  REFTEST TEST-LOAD | http://10.0.2.2:8888/tests/dom/media/tests/crashtests/799419.html | 616 / 889 (69%)
[task 2018-02-12T19:45:50.055Z] 19:45:50     INFO -  REFTEST TEST-PASS | http://10.0.2.2:8888/tests/dom/media/tests/crashtests/799419.html | (LOAD ONLY)
[task 2018-02-12T19:45:50.055Z] 19:45:50     INFO -  REFTEST TEST-END | http://10.0.2.2:8888/tests/dom/media/tests/crashtests/799419.html
[task 2018-02-12T19:46:12.454Z] 19:46:12     INFO -  INFO | automation.py | Application ran for: 0:16:57.815275
[task 2018-02-12T19:46:12.454Z] 19:46:12     INFO -  INFO | zombiecheck | Reading PID log: /tmp/tmpj0SsOupidlog
[task 2018-02-12T19:46:13.640Z] 19:46:13     INFO -  REFTEST INFO | Downloading symbols from: https://queue.taskcluster.net/v1/task/FdEQlfeFQ_ixGQVK8ZH0OA/artifacts/public/build/target.crashreporter-symbols.zip
[task 2018-02-12T19:46:17.620Z] 19:46:17     INFO -  REFTEST INFO | Copy/paste: /usr/local/bin/linux64-minidump_stackwalk /tmp/tmpnvnw6r/6abae902-c1ea-9345-fa0b-016594e84b1a.dmp /tmp/tmpTZOwFd
[task 2018-02-12T19:46:25.357Z] 19:46:25     INFO -  REFTEST INFO | Saved minidump as /builds/worker/workspace/build/blobber_upload_dir/6abae902-c1ea-9345-fa0b-016594e84b1a.dmp
[task 2018-02-12T19:46:25.358Z] 19:46:25     INFO -  REFTEST INFO | Saved app info as /builds/worker/workspace/build/blobber_upload_dir/6abae902-c1ea-9345-fa0b-016594e84b1a.extra
[task 2018-02-12T19:46:25.361Z] 19:46:25     INFO -  REFTEST PROCESS-CRASH | http://10.0.2.2:8888/tests/dom/media/tests/crashtests/799419.html | application crashed [@ mozilla::MediaStreamGraphImpl::UpdateGraph]
[task 2018-02-12T19:46:25.361Z] 19:46:25     INFO -  Crash dump filename: /tmp/tmpnvnw6r/6abae902-c1ea-9345-fa0b-016594e84b1a.dmp
[task 2018-02-12T19:46:25.361Z] 19:46:25     INFO -  Operating system: Android
[task 2018-02-12T19:46:25.361Z] 19:46:25     INFO -                    0.0.0 Linux 2.6.29-gea477bb #1 Wed Sep 26 11:04:45 PDT 2012 armv7l
[task 2018-02-12T19:46:25.362Z] 19:46:25     INFO -  CPU: arm
[task 2018-02-12T19:46:25.362Z] 19:46:25     INFO -       ARMv7 ARM Cortex-A8 features: swp,half,thumb,fastmult,vfpv2,edsp,neon,vfpv3
[task 2018-02-12T19:46:25.362Z] 19:46:25     INFO -       1 CPU
[task 2018-02-12T19:46:25.362Z] 19:46:25     INFO -  GPU: UNKNOWN
[task 2018-02-12T19:46:25.367Z] 19:46:25     INFO -  Crash reason:  SIGSEGV
[task 2018-02-12T19:46:25.367Z] 19:46:25     INFO -  Crash address: 0x0
[task 2018-02-12T19:46:25.367Z] 19:46:25     INFO -  Process uptime: not available
[task 2018-02-12T19:46:25.367Z] 19:46:25     INFO -  Thread 87 (crashed)
[task 2018-02-12T19:46:25.367Z] 19:46:25     INFO -   0  libxul.so!mozilla::MediaStreamGraphImpl::UpdateGraph [MediaStreamGraph.cpp:fbd6ca22f8417eb5833e2f7c585f69252de10216 : 1205 + 0x4]
[task 2018-02-12T19:46:25.367Z] 19:46:25     INFO -       r0 = 0x00000000    r1 = 0x000004b7    r2 = 0x00000000    r3 = 0x00000000
[task 2018-02-12T19:46:25.367Z] 19:46:25     INFO -       r4 = 0x54667600    r5 = 0x54667638    r6 = 0x67c46498    r7 = 0x733028b8
[task 2018-02-12T19:46:25.367Z] 19:46:25     INFO -       r8 = 0x00000000    r9 = 0x00000001   r10 = 0x54801a94   r12 = 0x00000001
[task 2018-02-12T19:46:25.367Z] 19:46:25     INFO -       fp = 0x00002b00    sp = 0x73302708    lr = 0x5b3fbd09    pc = 0x5b3fbdb8
[task 2018-02-12T19:46:25.367Z] 19:46:25     INFO -      Found by: given as instruction pointer in context
[task 2018-02-12T19:46:25.367Z] 19:46:25     INFO -   1  libxul.so!mozilla::MediaStreamGraphImpl::OneIteration [MediaStreamGraph.cpp:fbd6ca22f8417eb5833e2f7c585f69252de10216 : 1349 + 0x3]
[task 2018-02-12T19:46:25.367Z] 19:46:25     INFO -       r4 = 0x54801a70    r5 = 0x00000000    r6 = 0x00002b00    r7 = 0x733028d8
[task 2018-02-12T19:46:25.367Z] 19:46:25     INFO -       r8 = 0x53f32f68    r9 = 0x00000000   r10 = 0x2800001f    fp = 0x00002b00
[task 2018-02-12T19:46:25.367Z] 19:46:25     INFO -       sp = 0x733028c0    lr = 0x5b3fc683    pc = 0x5b3fc683
[task 2018-02-12T19:46:25.367Z] 19:46:25     INFO -      Found by: call frame info
[task 2018-02-12T19:46:25.368Z] 19:46:25     INFO -   2  libxul.so!mozilla::ThreadedDriver::RunThread [GraphDriver.cpp:fbd6ca22f8417eb5833e2f7c585f69252de10216 : 319 + 0x7]
[task 2018-02-12T19:46:25.368Z] 19:46:25     INFO -       r4 = 0x53f32f60    r5 = 0x00002900    r6 = 0x54801a70    r7 = 0x73302908
[task 2018-02-12T19:46:25.368Z] 19:46:25     INFO -       r8 = 0x53f32f68    r9 = 0x00000000   r10 = 0x53f32f70    fp = 0x00002b00
[task 2018-02-12T19:46:25.368Z] 19:46:25     INFO -       sp = 0x733028e0    lr = 0x5b3ac105    pc = 0x5b3ac105
[task 2018-02-12T19:46:25.368Z] 19:46:25     INFO -      Found by: call frame info
[task 2018-02-12T19:46:25.368Z] 19:46:25     INFO -   3  libxul.so!mozilla::MediaStreamGraphInitThreadRunnable::Run [GraphDriver.cpp:fbd6ca22f8417eb5833e2f7c585f69252de10216 : 194 + 0x3]
[task 2018-02-12T19:46:25.368Z] 19:46:25     INFO -       r4 = 0x68925de0    r5 = 0x54801ae8    r6 = 0x00000000    r7 = 0x73302930
[task 2018-02-12T19:46:25.368Z] 19:46:25     INFO -       r8 = 0x73302e47    r9 = 0x00000000   r10 = 0x68925de0    fp = 0x00000000
[task 2018-02-12T19:46:25.368Z] 19:46:25     INFO -       sp = 0x73302910    lr = 0x5b3b3047    pc = 0x5b3b3047
[task 2018-02-12T19:46:25.368Z] 19:46:25     INFO -      Found by: call frame info
[task 2018-02-12T19:46:25.368Z] 19:46:25     INFO -   4  libxul.so!nsThread::ProcessNextEvent [nsThread.cpp:fbd6ca22f8417eb5833e2f7c585f69252de10216 : 1040 + 0x9]
[task 2018-02-12T19:46:25.368Z] 19:46:25     INFO -       r4 = 0x685f9200    r5 = 0x5a5cb25f    r6 = 0x00000000    r7 = 0x73302e38
[task 2018-02-12T19:46:25.369Z] 19:46:25     INFO -       r8 = 0x73302e47    r9 = 0x00000000   r10 = 0x68925de0    fp = 0x00000000
[task 2018-02-12T19:46:25.369Z] 19:46:25     INFO -       sp = 0x73302938    lr = 0x5a5cf97b    pc = 0x5a5cf97b
[task 2018-02-12T19:46:25.369Z] 19:46:25     INFO -      Found by: call frame info
[task 2018-02-12T19:46:25.369Z] 19:46:25     INFO -   5  libxul.so!NS_ProcessNextEvent [nsThreadUtils.cpp:fbd6ca22f8417eb5833e2f7c585f69252de10216 : 517 + 0xb]
[task 2018-02-12T19:46:25.369Z] 19:46:25     INFO -       r4 = 0x00000000    r5 = 0x68501d40    r6 = 0x00000000    r7 = 0x73302e50
[task 2018-02-12T19:46:25.369Z] 19:46:25     INFO -       r8 = 0x685f9200    r9 = 0x69176110   r10 = 0x73302f00    fp = 0x2a494e78
[task 2018-02-12T19:46:25.369Z] 19:46:25     INFO -       sp = 0x73302e40    lr = 0x5a5d48ff    pc = 0x5a5d48ff
[task 2018-02-12T19:46:25.369Z] 19:46:25     INFO -      Found by: call frame info
[task 2018-02-12T19:46:25.369Z] 19:46:25     INFO -   6  libxul.so!mozilla::ipc::MessagePumpForNonMainThreads::Run [MessagePump.cpp:fbd6ca22f8417eb5833e2f7c585f69252de10216 : 334 + 0x7]
[task 2018-02-12T19:46:25.369Z] 19:46:25     INFO -       r2 = 0x00000001    r3 = 0x01000000    r4 = 0x69176100    r5 = 0x68501d40
[task 2018-02-12T19:46:25.370Z] 19:46:25     INFO -       r6 = 0x00000000    r7 = 0x73302e78    r8 = 0x685f9200    r9 = 0x69176110
[task 2018-02-12T19:46:25.370Z] 19:46:25     INFO -      r10 = 0x73302f00    fp = 0x2a494e78    sp = 0x73302e58    lr = 0x5a897087
[task 2018-02-12T19:46:25.370Z] 19:46:25     INFO -       pc = 0x5a897087
[task 2018-02-12T19:46:25.370Z] 19:46:25     INFO -      Found by: call frame info
In the last 5 days, since this bug was created, there have been 35 failures.

All the failures are on android-4-3-armv7-api16 platform and it's affecting opt build type.

An example of a recent log file:
https://treeherder.mozilla.org/logviewer.html#?repo=autoland&job_id=162735538&lineNumber=4051

And a relevant part of the log:
[task 2018-02-16T21:27:08.916Z] 21:27:08     INFO -  REFTEST PROCESS-CRASH | http://10.0.2.2:8888/tests/dom/media/tests/crashtests/799419.html | application crashed [@ mozilla::MediaStreamGraphImpl::UpdateGraph]
[task 2018-02-16T21:27:08.916Z] 21:27:08     INFO -  Crash dump filename: /tmp/tmp8tz3il/75a5934b-93a5-91b7-6cdf-f356edf7c954.dmp
[task 2018-02-16T21:27:08.916Z] 21:27:08     INFO -  Operating system: Android
[task 2018-02-16T21:27:08.917Z] 21:27:08     INFO -                    0.0.0 Linux 2.6.29-gea477bb #1 Wed Sep 26 11:04:45 PDT 2012 armv7l
[task 2018-02-16T21:27:08.917Z] 21:27:08     INFO -  CPU: arm
[task 2018-02-16T21:27:08.917Z] 21:27:08     INFO -       ARMv7 ARM Cortex-A8 features: swp,half,thumb,fastmult,vfpv2,edsp,neon,vfpv3
[task 2018-02-16T21:27:08.917Z] 21:27:08     INFO -       1 CPU
[task 2018-02-16T21:27:08.917Z] 21:27:08     INFO -  GPU: UNKNOWN
[task 2018-02-16T21:27:08.918Z] 21:27:08     INFO -  Crash reason:  SIGSEGV
[task 2018-02-16T21:27:08.918Z] 21:27:08     INFO -  Crash address: 0x0
[task 2018-02-16T21:27:08.918Z] 21:27:08     INFO -  Process uptime: not available
[task 2018-02-16T21:27:08.918Z] 21:27:08     INFO -  Thread 85 (crashed)
[task 2018-02-16T21:27:08.919Z] 21:27:08     INFO -   0  libxul.so!mozilla::MediaStreamGraphImpl::UpdateGraph [MediaStreamGraph.cpp:9b0cf7518d66126b66ef609078784b0c60b18297 : 1205 + 0x4]
[task 2018-02-16T21:27:08.919Z] 21:27:08     INFO -       r0 = 0x00000000    r1 = 0x000004b7    r2 = 0x00000000    r3 = 0x00000000
[task 2018-02-16T21:27:08.919Z] 21:27:08     INFO -       r4 = 0x57eb8570    r5 = 0x57eb85a8    r6 = 0x5575e9a0    r7 = 0x71c7f8b8
[task 2018-02-16T21:27:08.919Z] 21:27:08     INFO -       r8 = 0x00000000    r9 = 0x00000001   r10 = 0x5f99f124   r12 = 0x00000001
[task 2018-02-16T21:27:08.920Z] 21:27:08     INFO -       fp = 0x00002480    sp = 0x71c7f708    lr = 0x5b3203b9    pc = 0x5b320468
[task 2018-02-16T21:27:08.920Z] 21:27:08     INFO -      Found by: given as instruction pointer in context
[task 2018-02-16T21:27:08.922Z] 21:27:08     INFO -   1  libxul.so!mozilla::MediaStreamGraphImpl::OneIteration [MediaStreamGraph.cpp:9b0cf7518d66126b66ef609078784b0c60b18297 : 1349 + 0x3]
[task 2018-02-16T21:27:08.922Z] 21:27:08     INFO -       r4 = 0x5f99f100    r5 = 0x00000000    r6 = 0x00002480    r7 = 0x71c7f8d8
[task 2018-02-16T21:27:08.922Z] 21:27:08     INFO -       r8 = 0x546ed068    r9 = 0x00000000   r10 = 0x2800001f    fp = 0x00002480
[task 2018-02-16T21:27:08.922Z] 21:27:08     INFO -       sp = 0x71c7f8c0    lr = 0x5b320d33    pc = 0x5b320d33
[task 2018-02-16T21:27:08.922Z] 21:27:08     INFO -      Found by: call frame info
[task 2018-02-16T21:27:08.922Z] 21:27:08     INFO -   2  libxul.so!mozilla::ThreadedDriver::RunThread [GraphDriver.cpp:9b0cf7518d66126b66ef609078784b0c60b18297 : 319 + 0x7]
[task 2018-02-16T21:27:08.923Z] 21:27:08     INFO -       r4 = 0x546ed060    r5 = 0x00002280    r6 = 0x5f99f100    r7 = 0x71c7f908
[task 2018-02-16T21:27:08.923Z] 21:27:08     INFO -       r8 = 0x546ed068    r9 = 0x00000000   r10 = 0x546ed070    fp = 0x00002480
[task 2018-02-16T21:27:08.923Z] 21:27:08     INFO -       sp = 0x71c7f8e0    lr = 0x5b2d07a5    pc = 0x5b2d07a5
[task 2018-02-16T21:27:08.923Z] 21:27:08     INFO -      Found by: call frame info
[task 2018-02-16T21:27:08.923Z] 21:27:08     INFO -   3  libxul.so!mozilla::MediaStreamGraphInitThreadRunnable::Run [GraphDriver.cpp:9b0cf7518d66126b66ef609078784b0c60b18297 : 194 + 0x3]
[task 2018-02-16T21:27:08.923Z] 21:27:08     INFO -       r4 = 0x57ab0b40    r5 = 0x5f99f178    r6 = 0x00000000    r7 = 0x71c7f930
[task 2018-02-16T21:27:08.923Z] 21:27:08     INFO -       r8 = 0x71c7fe47    r9 = 0x00000000   r10 = 0x57ab0b40    fp = 0x00000001
[task 2018-02-16T21:27:08.924Z] 21:27:08     INFO -       sp = 0x71c7f910    lr = 0x5b2d76e7    pc = 0x5b2d76e7
[task 2018-02-16T21:27:08.924Z] 21:27:08     INFO -      Found by: call frame info
[task 2018-02-16T21:27:08.925Z] 21:27:08     INFO -   4  libxul.so!nsThread::ProcessNextEvent [nsThread.cpp:9b0cf7518d66126b66ef609078784b0c60b18297 : 1040 + 0x9]
[task 2018-02-16T21:27:08.925Z] 21:27:08     INFO -       r4 = 0x57d76cf0    r5 = 0x5a4e2b7f    r6 = 0x00000000    r7 = 0x71c7fe38
[task 2018-02-16T21:27:08.925Z] 21:27:08     INFO -       r8 = 0x71c7fe47    r9 = 0x00000000   r10 = 0x57ab0b40    fp = 0x00000001
[task 2018-02-16T21:27:08.926Z] 21:27:08     INFO -       sp = 0x71c7f938    lr = 0x5a4e729b    pc = 0x5a4e729b
[task 2018-02-16T21:27:08.926Z] 21:27:08     INFO -      Found by: call frame info
[task 2018-02-16T21:27:08.926Z] 21:27:08     INFO -   5  libxul.so!NS_ProcessNextEvent [nsThreadUtils.cpp:9b0cf7518d66126b66ef609078784b0c60b18297 : 517 + 0xb]
[task 2018-02-16T21:27:08.927Z] 21:27:08     INFO -       r4 = 0x00000001    r5 = 0x556f12f0    r6 = 0x00000000    r7 = 0x71c7fe50
[task 2018-02-16T21:27:08.927Z] 21:27:08     INFO -       r8 = 0x57d76cf0    r9 = 0x693df3b0   r10 = 0x71c7ff00    fp = 0x2a3c21c0
[task 2018-02-16T21:27:08.927Z] 21:27:08     INFO -       sp = 0x71c7fe40    lr = 0x5a4ec21f    pc = 0x5a4ec21f
[task 2018-02-16T21:27:08.927Z] 21:27:08     INFO -      Found by: call frame info

:mcomella as you are the triage owner of this component, could you please take a look?
Flags: needinfo?(michael.l.comella)
Whiteboard: [stockwell needswork]
This is a diagnostic assert failing because MediaStreamGraph doesn't get fed enough data. This data must be coming from a fake gUM video device since that's the only thing that's really initialized in this test.

Looks on the test like it could be related to GC since no explicit cleanup happens.
Component: General → Audio/Video: MediaStreamGraph
Flags: needinfo?(michael.l.comella)
Product: Firefox for Android → Core
Version: unspecified → 60 Branch
Assignee: nobody → apehrson
This bug has failed 64 times in the last 7 days, on Android affecting opt build type.
Failing test: android-4.3-arm7-api-16/opt-crashtest.

Link to a recent log: https://treeherder.mozilla.org/logviewer.html#?repo=autoland&job_id=164642542&lineNumber=4712
Part of that log:[task 2018-02-27T16:04:46.985Z] 16:04:46     INFO -  REFTEST INFO | Saved app info as /builds/worker/workspace/build/blobber_upload_dir/1d90c84b-7aa5-3132-1cad-2177cd062750.extra
[task 2018-02-27T16:04:46.987Z] 16:04:46     INFO -  REFTEST PROCESS-CRASH | http://10.0.2.2:8888/tests/dom/media/tests/crashtests/799419.html | application crashed [@ libxul.so + 0x124eaf0]
[task 2018-02-27T16:04:46.987Z] 16:04:46     INFO -  Crash dump filename: /tmp/tmpzPb0t1/1d90c84b-7aa5-3132-1cad-2177cd062750.dmp
[task 2018-02-27T16:04:46.987Z] 16:04:46     INFO -  Operating system: Android
[task 2018-02-27T16:04:46.988Z] 16:04:46     INFO -                    0.0.0 Linux 2.6.29-gea477bb #1 Wed Sep 26 11:04:45 PDT 2012 armv7l
[task 2018-02-27T16:04:46.988Z] 16:04:46     INFO -  CPU: arm
[task 2018-02-27T16:04:46.988Z] 16:04:46     INFO -       ARMv7 ARM Cortex-A8 features: swp,half,thumb,fastmult,vfpv2,edsp,neon,vfpv3
[task 2018-02-27T16:04:46.988Z] 16:04:46     INFO -       1 CPU
[task 2018-02-27T16:04:46.988Z] 16:04:46     INFO -  GPU: UNKNOWN
[task 2018-02-27T16:04:46.989Z] 16:04:46     INFO -  Crash reason:  SIGSEGV
[task 2018-02-27T16:04:46.989Z] 16:04:46     INFO -  Crash address: 0x0
[task 2018-02-27T16:04:46.989Z] 16:04:46     INFO -  Process uptime: not available


 :pehrsons do you have any updates on this bug?
Flags: needinfo?(apehrson)
Sadly no. I've been doing mostly 59 firefighting, but it is on my list for later.
Flags: needinfo?(apehrson)
Comment on attachment 8954527 [details]
Bug 1437672 - Wait for the promise to resolve in order to declare test complete.

https://reviewboard.mozilla.org/r/223586/#review230182

This is just treating the symptoms. We should fix the root cause instead.

IMO having the crash on try is better than having it only in the wild.
Attachment #8954527 - Flags: review?(apehrson) → review-
https://wiki.mozilla.org/Bug_Triage#Intermittent_Test_Failure_Cleanup
Status: NEW → RESOLVED
Closed: 4 years ago
Resolution: --- → INCOMPLETE
Assignee: apehrson → nobody
You need to log in before you can comment on or make changes to this bug.